//
//  PinAssert.h
//  pubkey-pin-ios
//
//  Created by Jeffrey Walton on 1/5/13.
//  Copyright (c) 2013 OWASP. All rights reserved.

#ifndef pin_assert_h
#define pin_assert_h

#include <stdlib.h>

#if !defined(NDEBUG)

#include <signal.h>

int InstallDebugTrapHandler();

#  define ASSERT(x) { \
  if(!(x)) { \
    fprintf(stderr, "Assertion failed: %s(%d): %s\n", (char*)(__FILE__), (int)__LINE__, (char*)(__func__)); \
    raise(SIGTRAP); \
  } \
}

#else

#  define ASSERT(x) UNUSED(x)

#endif

#endif // pubkey_pin_assert.h
