//
//  ViewController.h
//  pubkey-pin-ios
//
//  Created by Jeffrey Walton on 2/1/13.
//  Copyright (c) 2013 OWASP. All rights reserved.

//
// A lot of this was shameless ripped from
// http://blog.securemacprogramming.com/2011/12/on-ssl-pinning-for-cocoa-touch/.
// Unfortunately, we are pinning a certifcate, and not a public key. (Windows and Android
// samples do pin the public key). This will be a problem for sites like Google, which
// rotate the 'outer' certificate every 30 days or so. While Google rotates the X509
// certifcate attributes, the 'inner' key (SubjectPublicKeyInfo) remains static.

#import <UIKit/UIKit.h>

@interface ViewController : UIViewController
{
    // UI Widgets
    UILabel* m_fetchedLabel;
    UIButton* m_fetchButton;
    
    // Accumulates response
    NSMutableString* m_fetchedData;
}

@property (nonatomic, assign) NSMutableString* m_fetchedData;
@property (nonatomic, retain) IBOutlet UILabel* m_fetchedLabel;
@property (nonatomic, retain) IBOutlet UIButton* m_fetchButton;

-(void)displayError:(NSString*)msg;
-(IBAction)fetchButtonTapped:(id)sender;

@end
